<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""), "_f02edf6730" . "5f5d984784e" . "5a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb" . "3J5IGNhY2hlcyAocnVubmluZyBmcm" . "9tIHRoZSBjb21tYW5kIGxpbmUp"), "_3d13c2fdd" . "aab71a09ee" . "af22607f1d" . "b0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjY" . "WNoZXM="), "_db7b295" . "629faa16" . "027a2c26" . "3095eba7" . "0" => base64_decode("cGhwX3NhcGlfbm" . "FtZQ=="), "_edd716f0baedc2427c121be529bf" . "222d" => base64_decode("Q2xlYXJpbmc" . "gYWxsIGxvY2" . "FsIGNhY2hlc" . "w=="), "_db98357e662ee4057f89ee50fd63a" . "2c5" => base64_decode("Q2xlYXJpbmcg" . "c2hhcmVkIGFz" . "c2V0cyBjYWNo" . "ZQ=="), "_2935eb81473a5cdf164" . "ba52dc31d305c" => base64_decode("Q2xlYXJpbmcgb" . "WVtb3J5IGNhY2" . "hlcw=="), "_22ac6aae2762e" . "0f310c495384c4" . "77dc8" => base64_decode("LmdpdGtlZXA" . "="), "_d9040256bff96" . "ad2c221f79439e" . "0560c" => base64_decode("Q2xlYXJpbmcgZGlyZW" . "N0b3J5IA=="), "_2ac6cb432" . "a5df959efd" . "ffbcd288d0" . "745" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdG" . "VyIGNhY2hl"), "_282505db" . "60b6a60f1" . "a0c54a0f8" . "c27092" => base64_decode("VEVNUExBVEVSX0NBQ0h" . "FX0RJUg=="), "_8fec21706bd243b37ecf" . "62b1caf8fb8a" => base64_decode("Y2" . "xp"), "_8fd6da143a74243" . "3037d3741c26c9f1" . "4" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXN" . "zZXRzIGNhY2hl"), "_8368ecd0faa75c04b4e54eac3bd45d" . "63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uIG" . "NhY2hl"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_282505db60b6a60f1a0c" . "54a0f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_edd716f0baedc2427c" . "121be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_db7b295629fa" . "a16027a2c2630" . "95eba70"]() !== $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8fec21706bd24" . "3b37ecf62b1caf" . "8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f02edf67305f5d984784e5" . "a63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3d13c2f" . "ddaab71a" . "09eeaf22" . "607f1db0" . "f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8368ecd0f" . "aa75c04b4e" . "54eac3bd45" . "d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8fd6da143a7424330" . "37d3741c26c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_db98357e6" . "62ee4057f8" . "9ee50fd63a" . "2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2935eb81473a5cdf1" . "64ba52dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2ac6cb432a5df959efdffbcd288" . "d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d904025" . "6bff96ad" . "2c221f79" . "439e0560" . "c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_22ac6aae2762e0f310" . "c495384c477dc8"]);
    }
}